Failed to backup to google drive on ubuntu 19.10

Bug #1852069 reported by Andrej Gelenberg on 2019-11-11
34
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Déjà Dup
Undecided
Unassigned
deja-dup (Debian)
Fix Released
Unknown
deja-dup (Ubuntu)
High
Unassigned

Bug Description

On Ubuntu 19.10 can't do backup to Google Drive anymore with the following error message:

BackendException: PyDrive backend requires PyDrive installation. Please read the manpage for setup details.
Exception: No module named 'apiclient'

I also could not find pydrive package or don't know how it properly called.

$ lsb_release -d
Description: Ubuntu 19.10

$ dpkg-query -W deja-dup duplicity
deja-dup 40.1-1ubuntu2
duplicity 0.8.04-2ubuntu1

The logfile for following command is empy:
DEJA_DUP_DEBUG=1 deja-dup --backup | tail -n 1000 > /tmp/deja-dup.log

Michael Terry (mterry) wrote :

This is a packaging bug in Debian & Ubuntu only. It's not an upstream deja-dup issue.

They have not yet packaged pydrive, which deja-dup and duplicity need to talk to Google Drive (we can no longer use the previous method of talking to Google Drive - which was through gvfs).

To work around this for now, I recommend trying the snap, which does not have this problem:
snap install deja-dup --classic

no longer affects: duplicity
no longer affects: deja-dup
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in deja-dup (Ubuntu):
status: New → Confirmed
Michael Terry (mterry) on 2019-11-11
Changed in deja-dup:
status: New → Invalid
Changed in deja-dup (Debian):
status: Unknown → New
Changed in deja-dup (Ubuntu):
importance: Undecided → High
tags: added: desktop-lts-wishlist
Changed in deja-dup (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.